Panda3D

Loading...
Searching...
No Matches
Functions
bullet_utils.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "bullet_utils.h"`
`#include "transformState.h"`

Go to the source code of this file.

## Functions
LMatrix3 | btMatrix3x3_to_LMatrix3 (const btMatrix3x3 &m)
LQuaternion | btQuat_to_LQuaternion (const btQuaternion &q)
LMatrix4 | btTrans_to_LMatrix4 (const btTransform &trans)
ConstPointerTo< TransformState > | btTrans_to_TransformState (const btTransform &trans, const LVecBase3 &scale)
LPoint3 | btVector3_to_LPoint3 (const btVector3 &p)
LVecBase3 | btVector3_to_LVecBase3 (const btVector3 &v)
LVector3 | btVector3_to_LVector3 (const btVector3 &v)
int | get_bullet_version ()
| Returns the version of the linked Bullet library.
BulletUpAxis | get_default_up_axis ()
void | get_node_transform (btTransform &trans, PandaNode *node)
btMatrix3x3 | LMatrix3_to_btMatrix3x3 (const LMatrix3 &m)
btTransform | LMatrix4_to_btTrans (const LMatrix4 &m)
btQuaternion | LQuaternion_to_btQuat (const LQuaternion &q)
btVector3 | LVecBase3_to_btVector3 (const LVecBase3 &v)
btTransform | TransformState_to_btTrans (ConstPointerTo< TransformState > ts)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  enn0x

Date
  2010-01-23

Definition in file bullet_utils.cxx.

## Function Documentation

## ◆ btMatrix3x3_to_LMatrix3()

LMatrix3 btMatrix3x3_to_LMatrix3 | ( | const btMatrix3x3 & | m | ) |

Definition at line 72 of file bullet_utils.cxx.

## ◆ btQuat_to_LQuaternion()

LQuaternion btQuat_to_LQuaternion | ( | const btQuaternion & | q | ) |

Definition at line 95 of file bullet_utils.cxx.

## ◆ btTrans_to_LMatrix4()

LMatrix4 btTrans_to_LMatrix4 | ( | const btTransform & | trans | ) |

Definition at line 120 of file bullet_utils.cxx.

## ◆ btTrans_to_TransformState()

ConstPointerTo< TransformState > btTrans_to_TransformState | ( | const btTransform & | trans,
|  | const LVecBase3 & | scale )

Definition at line 131 of file bullet_utils.cxx.

## ◆ btVector3_to_LPoint3()

LPoint3 btVector3_to_LPoint3 | ( | const btVector3 & | p | ) |

Definition at line 51 of file bullet_utils.cxx.

## ◆ btVector3_to_LVecBase3()

LVecBase3 btVector3_to_LVecBase3 | ( | const btVector3 & | v | ) |

Definition at line 31 of file bullet_utils.cxx.

## ◆ btVector3_to_LVector3()

LVector3 btVector3_to_LVector3 | ( | const btVector3 & | v | ) |

Definition at line 41 of file bullet_utils.cxx.

## ◆ get_bullet_version()

int get_bullet_version | ( |  | ) |

Returns the version of the linked Bullet library.

Definition at line 211 of file bullet_utils.cxx.

## ◆ get_default_up_axis()

BulletUpAxis get_default_up_axis | ( |  | ) |

Definition at line 160 of file bullet_utils.cxx.

## ◆ get_node_transform()

void get_node_transform | ( | btTransform & | trans,
|  | PandaNode * | node )

Definition at line 180 of file bullet_utils.cxx.

## ◆ LMatrix3_to_btMatrix3x3()

btMatrix3x3 LMatrix3_to_btMatrix3x3 | ( | const LMatrix3 & | m | ) |

Definition at line 61 of file bullet_utils.cxx.

## ◆ LMatrix4_to_btTrans()

btTransform LMatrix4_to_btTrans | ( | const LMatrix4 & | m | ) |

Definition at line 106 of file bullet_utils.cxx.

## ◆ LQuaternion_to_btQuat()

btQuaternion LQuaternion_to_btQuat | ( | const LQuaternion & | q | ) |

Definition at line 84 of file bullet_utils.cxx.

## ◆ LVecBase3_to_btVector3()

btVector3 LVecBase3_to_btVector3 | ( | const LVecBase3 & | v | ) |

Definition at line 21 of file bullet_utils.cxx.

## ◆ TransformState_to_btTrans()

btTransform TransformState_to_btTrans | ( | ConstPointerTo< TransformState > | ts | ) |

Definition at line 142 of file bullet_utils.cxx.